Get all pricing logic algorithms

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithm

Returns a list of pricing logic algorithms that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of pricing logic algorithms was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : PlaQuantityRangeOracle
Title: PlaQuantityRangeOracle
Match All
Show Source
Nested Schema : PricingLogicAlgorithm
Type: object
Title: PricingLogicAlgorithm
Discriminator: @type

Discriminator Values

The pricing logic algorithm resource.
Show Source
Nested Schema : PlaQuantityRangeOracle-allOf[1]
Type: object
Show Source
Nested Schema : plaCharacteristic
Type: array
A list of pla characteristics associated with the pricing logic algorithm quantity range.
Show Source
  • PlaCharacteristicOracle
    Title: PlaCharacteristicOracle
    A use of the ProdSpecCharacteristicValue by a ProductOffering to which additional properties (attributes) apply or override the properties of similar properties contained in ProdSpecCharacteristicValue.
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : tierRange
Type: array
A list of tier ranges associated with the pricing logic algorithm quantity range.
Show Source
Nested Schema : PlaCharacteristicOracle
Type: object
Title: PlaCharacteristicOracle
A use of the ProdSpecCharacteristicValue by a ProductOffering to which additional properties (attributes) apply or override the properties of similar properties contained in ProdSpecCharacteristicValue.
Show Source
Nested Schema : plaCharacteristicValue
Type: array
A list of pla characteristic values associated with the pricing logic algorithm characteristic.
Show Source
Nested Schema : PlaCharacteristicValueOracle
Type: object
Title: PlaCharacteristicValueOracle
A number or text that can be assigned to a ProductSpecCharacteristic.
Show Source
  • Allowed Values: [ "NONE", "SECOND", "MINUTE", "HOUR", "DAY", "MONTH", "BYTE", "KILOBYTE", "MEGABYTE", "GIGABYTE", "PAGES", "MOVIES", "TIME_INTERVAL", "QUANTITY", "MBPS", "GBPS" ]
    The unit can be minutes or GB.
  • value
    A discrete value that the characteristic can take on. The value type is defined by the valueType characteristic.
Nested Schema : value
A discrete value that the characteristic can take on. The value type is defined by the valueType characteristic.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: object
Nested Schema : TierRangeOracle
Type: object
Title: TierRangeOracle
Contains the minimum and maximum quantity for which the pricing is applicable.
Show Source
  • Allowed Values: [ "UPPER_INCLUSIVE", "LOWER_INCLUSIVE" ]
    Specifies whether to include the upper limit or lower limit. Valid values are UPPER_INCLUSIVE and LOWER_INCLUSIVE.
  • A maximum quantity of something, typically the total of a thing or things in number, size, value, extent, or money.
  • A minimum quantity of something, typically the total of a thing or things in number, size, value, extent, or money.
  • productOfferingPrice
    A list of product offering prices associated with the tier range.
Nested Schema : productOfferingPrice
Type: array
A list of product offering prices associated with the tier range.
Show Source
  • ProductOfferingPriceRef
    Title: ProductOfferingPriceRef
    The productPriceOffering reference. An amount, usually of money, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Nested Schema : ProductOfferingPriceRef
Type: object
Title: ProductOfferingPriceRef
The productPriceOffering reference. An amount, usually of money, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get all pricing logic algorithms by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithm \ -H 'Content-Type: application/json'

Example of Response Body

The following example shows the contents of the response body in JSON format.

[
{
    "id": "PLA_001",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithm/PLA_001",
    "name": "Tier PLA",
    "description": "PLA for Tiered Pricing",
    "validFor": {
        "startDateTime": "2020-08-12T03:43:37.696Z"
    },
    "@type": "PlaQuantityRangeOracle",
    "@baseType": "PricingLogicAlgorithm",
    "version": "1.0",
    "created": "2025-02-17T12:56:40.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T12:56:40.031Z",
    "lastUpdatedBy": "booth",
    "lifecycleStatus": "In design",
    "versionState": 0,
    "plaSpecification": {
        "id": "PLAspec1",
        "name": "PLA Spec",
        "version": "1.0",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithmSpecification/PLAspec1",
        "@referredType": "PricingLogicAlgorithmSpecOracle",
        "@type": "PlaSpecificationRef"
    }
},
{
    "id": "PLA_002",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithm/PLA_002",
    "name": "Tier PLA 2",
    "description": "PLA for Tiered Pricing 2",
    "validFor": {
        "startDateTime": "2020-08-12T03:43:37.696Z"
    },
    "@type": "PlaQuantityRangeOracle",
    "@baseType": "PricingLogicAlgorithm",
    "version": "1.0",
    "created": "2025-02-17T12:56:40.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T12:56:40.031Z",
    "lastUpdatedBy": "booth",
    "lifecycleStatus": "In design",
    "versionState": 0,
    "plaSpecification": {
        "id": "PLAspec1",
        "name": "PLA Spec",
        "version": "1.0",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithmSpecification/PLAspec1",
        "@referredType": "PricingLogicAlgorithmSpecOracle",
        "@type": "PlaSpecificationRef"
    }
}
]
Back to Top